Subject: Re: [PATCH net-next v8 00/12] selftests: ncdevmem: Add ncdevmem to ksft

From: Stanislav Fomichev <[email-masked]>
Date: Thu, 7 Nov 2024 17:18:20 -0800

On 11/07, Joe Damato wrote:
> On Thu, Nov 07, 2024 at 10:11:59AM -0800, Stanislav Fomichev wrote:
> > The goal of the series is to simplify and make it possible to use
> > ncdevmem in an automated way from the ksft python wrapper.
> > 
> > ncdevmem is slowly mutated into a state where it uses stdout
> > to print the payload and the python wrapper is added to
> > make sure the arrived payload matches the expected one.
> > 
> > v8:
> > - move error() calls into enable_reuseaddr() (Joe)
> > - bail out when number of queues is 1 (Joe)
> 
> Thanks for all the work on the refactor; sorry for the nit-picking
> on the queue counts. I just thought of it because in my test for
> busy poll stuff, netdevsim uses 1 queue.
> 
> Having tests like this factored nicely really helps when people
> (like me) go to try to write a test for the first time and have a
> good example like this to follow :)

No worries, thanks for taking the time to review! nit-picks are fine
as wells since they are usually the easiest ones to address :-D